### Hierarchy

- NoelEventConfig

## Index

### Properties

- logger
- name
- noListenersWarning
- noel
- replay
- replayBufferSize

## Properties

### Optional logger

logger: NoelLogger

- Defined in interfaces.ts:16

### name

name: string

- Defined in interfaces.ts:15

### Optional noListenersWarning

noListenersWarning: undefined | true | false

- Defined in interfaces.ts:19

### noel

noel: NoelImp

- Defined in interfaces.ts:20

### Optional replay

replay: undefined | true | false

- Defined in interfaces.ts:17

### Optional replayBufferSize

replayBufferSize: undefined | number

- Defined in interfaces.ts:18

Generated using TypeDoc